---
name: Feature Request
about: Suggest an idea for this project
title: "[feature request]"
labels: enhancement
assignees: ''

---

------------------------------- delete below -------------------------------

Thank you for raising a feature request! To get started, here's a few things to consider:

# 1) Check existing requests:
- We track large feature requests through our [UserVoice page](https://feedback.azure.com/forums/321918-azure-iot). Be sure to check this out first!

- Before submitting a request, please ensure it has not already been submitted. If it has, please upvote and/or comment on the request. This will increase its visibility and raise its priority.

- Similarly, if this is a minor suggestion or enhancement, please check our existing [Github issues](https://github.com/Azure/azure-iot-sdk-python/issues) to ensure it has not already been raised. If so, please comment on the issue to add support and raise visibility for it.

# 2) File your request:
- Now, if your feature has not yet been raised, please follow the below guidance:
    - If this is a large feature request (may require support across different languages or enables an entirely new scenario), please file it on our [UserVoice page](https://feedback.azure.com/forums/321918-azure-iot).

    - If this is a minor suggestion or enhancement (scoped only to this language), please file it as an issue following the format below.

As an open source project, we welcome PRs for new features, and we don't want to reject any hard work you've done to contribute. **So propose your solution through an issue first** so we can discuss the changes, and if things look good we will ask you submit a PR to implement the changes.

------------------------------- delete above -------------------------------

**Is your feature request related to a problem? Please describe.**
A clear and concise description of what the problem is. Ex. I'm always frustrated when [...]

**Describe the solution you'd like**
A clear and concise description of what you want to happen.

**Describe alternatives you've considered**
A clear and concise description of any alternative solutions or features you've considered.

**Additional context**
Add any other context or screenshots about the feature request here.

Thank you for helping make this project even better!
